All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
BrownianIntegrator Class Reference

This is an Integrator which simulates a System using Brownian dynamics. More...

`#include <BrownianIntegrator.h>`

Inheritance diagram for BrownianIntegrator:

## Public Member Functions

| BrownianIntegrator (double temperature, double frictionCoeff, double stepSize)
| Create a BrownianIntegrator. More...
double | getTemperature () const
| Get the temperature of the heat bath (in Kelvin). More...
void | setTemperature (double temp)
| Set the temperature of the heat bath (in Kelvin). More...
double | getFriction () const
| Get the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps). More...
void | setFriction (double coeff)
| Set the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps). More...
int | getRandomNumberSeed () const
| Get the random number seed. More...
void | setRandomNumberSeed (int seed)
| Set the random number seed. More...
void | step (int steps)
| Advance a simulation through time by taking a series of time steps. More...
Public Member Functions inherited from Integrator
| Integrator ()
virtual | ~Integrator ()
double | getStepSize () const
| Get the size of each time step, in picoseconds. More...
void | setStepSize (double size)
| Set the size of each time step, in picoseconds. More...
double | getConstraintTolerance () const
| Get the distance tolerance within which constraints are maintained, as a fraction of the constrained distance. More...
void | setConstraintTolerance (double tol)
| Set the distance tolerance within which constraints are maintained, as a fraction of the constrained distance. More...

## Protected Member Functions

void | initialize (ContextImpl &context)
| This will be called by the Context when it is created. More...
void | cleanup ()
| This will be called by the Context when it is destroyed to let the Integrator do any necessary cleanup. More...
std::vector< std::string > | getKernelNames ()
| Get the names of all Kernels used by this Integrator. More...
double | computeKineticEnergy ()
| Compute the kinetic energy of the system at the current time. More...
Protected Member Functions inherited from Integrator
virtual void | stateChanged (State::DataType changed)
| This will be called by the Context when the user modifies aspects of the context state, such as positions, velocities, or parameters. More...

## Additional Inherited Members

Protected Attributes inherited from Integrator
ContextImpl * | context
Context * | owner

## Detailed Description

This is an Integrator which simulates a System using Brownian dynamics.

## Constructor & Destructor Documentation

BrownianIntegrator | ( | double | temperature,
|  | double | frictionCoeff,
|  | double | stepSize
| ) |  |

Create a BrownianIntegrator.

Parameters

  temperature | the temperature of the heat bath (in Kelvin)
  frictionCoeff | the friction coefficient which couples the system to the heat bath, measured in 1/ps
  stepSize | the step size with which to integrate the system (in picoseconds)

## Member Function Documentation

void cleanup | ( |  | ) |

protectedvirtual

This will be called by the Context when it is destroyed to let the Integrator do any necessary cleanup.

It will also get called again if the application calls reinitialize() on the Context.

Reimplemented from Integrator.

double computeKineticEnergy | ( |  | ) |

protectedvirtual

Compute the kinetic energy of the system at the current time.

Implements Integrator.

double getFriction | ( |  | ) | const

inline

Get the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

Returns
  the friction coefficient, measured in 1/ps

std::vector<std::string> getKernelNames | ( |  | ) |

protectedvirtual

Get the names of all Kernels used by this Integrator.

Implements Integrator.

int getRandomNumberSeed | ( |  | ) | const

inline

Get the random number seed.

See setRandomNumberSeed() for details.

double getTemperature | ( |  | ) | const

inline

Get the temperature of the heat bath (in Kelvin).

Returns
  the temperature of the heat bath (in Kelvin).

void initialize | ( | ContextImpl & | context | ) |

protectedvirtual

This will be called by the Context when it is created.

It informs the Integrator of what context it will be integrating, and gives it a chance to do any necessary initialization. It will also get called again if the application calls reinitialize() on the Context.

Implements Integrator.

void setFriction | ( | double | coeff | ) |

inline

Set the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

Parameters

  coeff | the friction coefficient, measured in 1/ps

void setRandomNumberSeed | ( | int | seed | ) |

inline

Set the random number seed.

The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of random forces will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

If seed is set to 0 (which is the default value assigned), a unique seed is chosen when a Context is created from this Force. This is done to ensure that each Context receives unique random seeds without you needing to set them explicitly.

void setTemperature | ( | double | temp | ) |

inline

Set the temperature of the heat bath (in Kelvin).

Parameters

  temp | the temperature of the heat bath, measured in Kelvin.

void step | ( | int | steps | ) |

virtual

Advance a simulation through time by taking a series of time steps.

Parameters

  steps | the number of time steps to take

Implements Integrator.

The documentation for this class was generated from the following file:

- BrownianIntegrator.h